Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597195 - No events for the project deletion [NEEDINFO]
Summary: No events for the project deletion
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.10.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-02 08:34 UTC by Anping Li
Modified: 2019-03-06 20:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-06 20:54:37 UTC
Target Upstream Version:
jcantril: needinfo? (deads)


Attachments (Terms of Use)

Description Anping Li 2018-07-02 08:34:25 UTC
Description of problem:
The project deletion event couldn't be found in logging-event logs.


Version-Release number of selected component (if applicable):
atomic-openshift-3.10.10-1.git.0.3431c56.el7.x86_64
openshift3/logging-eventrouter:v3.10.10


How reproducible:
Always

Steps to Reproduce:
1.deploy logging with event router
openshift_logging_install_logging=true
openshift_logging_install_eventrouter=true

2. Create project and applications
oc new-project eventtest
oc new-app cakephp-mysql-example

3.Watch the logging-eventrouter pod logs
oc logs logging-eventrouter-1-9b78k -f

4. delete projects
oc delete project eventtest

Actual results:
No event logs for the project deletions
No event logs for pod deletions in this project


Expected results:
There are events logs for project/pod deletions


Additional info:

Comment 1 Jeff Cantrill 2018-07-02 13:07:06 UTC
1. In which namespace was the eventrouter deployed?  
2. When following eventrouter logs did you see any event logs?

Comment 2 Anping Li 2018-07-03 01:25:01 UTC
The eventrouter was deployed into default namespace. I can see the event logs of container creation, kill and etc.  I haven't checked if there are events about project deletion in master/kubernetes level.  It should be.

Comment 3 Anping Li 2018-07-03 02:50:23 UTC
It seems we must run the command 'kubectl get events' in a namespace.  so the question coming. Is there project deletion event? If yes, How to get such event?

Comment 4 Jeff Cantrill 2018-07-03 13:05:02 UTC
Have you considered watching the default namespace for events (e.g. 'oc -n default get events -w) and then creating/deleting projects to see if you see the events you would expect?

Comment 5 Anping Li 2018-07-17 05:12:14 UTC
jeff,
No event when i deleted project prjanli. 
oc -n default get events -w
oc -n prjanli get events -w

Comment 6 Jeff Cantrill 2018-07-17 13:21:29 UTC
David,

Assuming I can have the proper authz, should we expect to project deletion and creation events?

Comment 7 Jeff Cantrill 2019-03-06 20:54:37 UTC
This is not an issue with logging afaik.  Closing as there is not associated customer case


Note You need to log in before you can comment on or make changes to this bug.